Bug 4586 - (rkirti) Broken link to page "Hildon Desktop Portability" on maemo.org/development/sources
(rkirti)
: Broken link to page "Hildon Desktop Portability" on maemo.org/development/sou...
Status: RESOLVED FIXED
Product: Developer Guide
maemo.org wiki
: 4.1.x
: x86 Linux
: Unspecified normal (vote)
: ---
Assigned To: Dave Neary
: documentation@maemo.org
: http://maemo.org/development/sources/
:
:
:
  Show dependency tree
 
Reported: 2009-05-25 16:16 UTC by Kirtika Ruchandani
Modified: 2010-05-17 16:43 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kirtika Ruchandani (reporter) 2009-05-25 16:16:04 UTC
The link on this page: http://maemo.org/development/sources/
referring to Hildon Desktop Portability is broken. Searching for the same term
does not help either. 
It would be great if this could be restored,as the page would be helpful to
newbie developers.






User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10)
Gecko/2009042523 Ubuntu/8.10 (intrepid) Firefox/3.0.10
Comment 1 Dave Neary maemo.org 2009-05-25 19:10:49 UTC
Do you have a link to the good "Hildon Desktop Portability" page?
Comment 2 Kirtika Ruchandani (reporter) 2009-05-25 19:14:12 UTC
Sorry I don't. Else I wold have specified it in the bug report. I am
desperately looking for it....
Comment 3 Andre Klapper maemo.org 2009-05-26 16:26:25 UTC
This is not about the wiki -> moving to Docs.
Comment 4 Dave Neary maemo.org 2009-05-26 20:13:09 UTC
Actually, the original page was an old wiki page - and the old wiki is gone.
I've been digging around Midgard trying to find the old pages to see if there's
anything in there that really should be migrated to the new wiki.

I suspect that there are official docs which address the compilation issue, and
I will likely change the link to point to them when I find something
appropriate.
Comment 5 Dave Neary maemo.org 2009-05-26 21:39:29 UTC
Found a link to the old content:
http://maemo.org/community/oldwiki/hildondesktopportability/

The page is actually a list of bugs or problems - and it looked quite outdated
already when we were migrating the wiki, thus it didn't make it over.

Pasting content in here for reference:

This pages tries to list various problems which prevent compiling the Hildon
Desktop and its dependencies, outside of the Maemo / scratchbox environment. It
also tries to solve them :)

In this experiment, Ubuntu Edgy is used, and the following packages are used: *
matchbox 1:3 * libgtk2.0-0 2.10.6-0ubuntu1 * libgnome-vfs0 1.0.5-5.3 *
libgconf2-4 2.16.0-0ubuntu1 * gcc 4:4.1.1-6ubuntu3
Compilation
hildon-libs

    * dependency on Hildon-specific changes to GTK+. #823
    * won't compile on recent gcc, because of duplicate symbols. #822
    * dependency on L10n with format string requiring translation being used

libosso

    * hard dependency on outu, even if unit tests are not wanted #824

maemo-af-desktop

    * libosso-help should be optional, it should be possible to use e.g. yelp
    * hildon-fm should be optional, it should be possible to use
GtkFileChooserDialog
    * libhildonmenu does not compile on recent gcc (compiler warnings)

Run-time
libosso

    * osso_initialize tries to connect to register objects to both system bus
and session bus. Registering object to system bus is typically not allowed for
normal user. osso_initialize should not return NULL if the registration to the
session bus works but not the one to system bus

themes

    * the SDK theme needs an update, this is being worked on
    * the theming uses a Hildon GTK specific way of defining logical colors.
This should eventually be replaced with the GTK+ 2.10 way of doing it
    * lots of theming properties depend on Hildon-hacks in GTK (menus, listview
headers, ...)
    * widgets not used in the Hildon environment are often not themed or look
strange (menu bar, normal toolbar)
    * matchbox's theme should not have hardcoded pixmap size

maemo-af-desktop

    * reads .desktop files in /usr/share/applications/hildon. Should at least
read them from /usr/share/applications
    * does not understand Categories: in .desktop files
    * uses MB_TITLEBAR_DOCK hint which seems not available in matchbox 1.0
Comment 6 Dave Neary maemo.org 2009-05-27 20:13:43 UTC
In fact, looking at the context on http://maemo.org/development/sources, the
page doesn't do what it is supposed to - there's no instructions on getting &
building the source code, description of the various modules, which branches to
take, etc.

There is a need for a page to do that. I don't think that the page mentioned
here is the right answer for that question.

I will add writing this to my list of Stuff To Do.
Comment 7 Dave Neary maemo.org 2009-06-04 17:06:13 UTC
I have found two pages which contain useful information for building Hildon:

http://live.gnome.org/Hildon/Building

http://maemo.org/api_refs/5.0/beta/hildon/hildon-building.html

I have updated the page you pointed to, and I think that this closes the core
issue.
Comment 8 Andre Klapper maemo.org 2010-05-17 16:43:33 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.